/* **************************************************************************
    MP3-IndexMaker v0.1 - id3.h
    Copyright (c)1998 by Brian James Chapman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
    any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
    Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    
    Support the Free Software Foundation at http://www.fsf.org
*************************************************************************** */

#define ID3_MAX_TAGSIZE 		128
#define ID3_MAX_WIDTH			 31

#define ID3_MAX_TAG 			  3
#define ID3_MAX_TITLE 			 30
#define ID3_MAX_ARTIST			 30
#define ID3_MAX_ALBUM			 30
#define ID3_MAX_YEAR			  4
#define ID3_MAX_COMMENT			 30
#define ID3_MAX_GENRE			  1

enum id3tag { TAG, TITLE, ARTIST, ALBUM, YEAR, COMMENT, GENRE };

typedef struct id3info {
	char tag[ID3_MAX_TAG +1];
	char title[ID3_MAX_TITLE +1];
	char artist[ID3_MAX_ARTIST +1];
	char album[ID3_MAX_ALBUM +1];
	char year[ID3_MAX_YEAR +1];
	char comment[ID3_MAX_COMMENT +1];
	char genre[ID3_MAX_GENRE +1];
} ID3;
